package kz.gamma;

import kz.gamma.jce.provider.GammaTechProvider;
import kz.gamma.tumarcsp.CSPUtil;

import java.security.Security;

/**
 * Пример демонстрирует изменение пароля на устройстве (на которое указывает профайл)
 */
public class SampleJCETumar_ChangePass {

    /**
     *
     * @param args
     */
    public static void main(String[] args) {
        // Данный метод добавляет JCE в окружение java.security.
        Security.addProvider(new GammaTechProvider());
        //Смена пароля, необходимо передать:
        //Профайл указывающий на ключи или устройство на котором необходимо сменить пароль.
        //Старый и новый пароль.
        CSPUtil util = new CSPUtil();
        util.changePasswd("profile://TEST_10001", "1234567890", "0987654321");
    }
}
